org.appng.xml.platform

## Class FileUpload

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.ValidationRule
    - - org.appng.xml.platform.FileUpload

- All Implemented Interfaces:
    Serializable

      public class FileUpload
      extends ValidationRule
      implements Serializable

  A `ValidationRule` indicating the `FieldDef`'s value represents one ore more `org.appng.forms.FormUpload`s.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `fileTypes`
    `protected Integer` | `maxCount`
    `protected Long` | `maxSize`
    `protected Integer` | `minCount`
    `protected Long` | `minSize`
    `protected String` | `unit`

    - ### Fields inherited from class org.appng.xml.platform.ValidationRule

      `message`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUpload()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFileTypes()` A comma separated list of allowed file-extensions.
    `Integer` | `getMaxCount()` The maximum number of files.
    `Long` | `getMaxSize()` The maximum size of each file.
    `Integer` | `getMinCount()` The minimum number of files.
    `Long` | `getMinSize()` The minimum size of each file.
    `String` | `getUnit()` The unit to use for size restrictions.
    `void` | `setFileTypes(String value)` Sets the value of the fileTypes property.
    `void` | `setMaxCount(Integer value)` Sets the value of the maxCount property.
    `void` | `setMaxSize(Long value)` Sets the value of the maxSize property.
    `void` | `setMinCount(Integer value)` Sets the value of the minCount property.
    `void` | `setMinSize(Long value)` Sets the value of the minSize property.
    `void` | `setUnit(String value)` Sets the value of the unit property.

    - ### Methods inherited from class org.appng.xml.platform.ValidationRule

      `getMessage, setMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### minCount

          protected Integer minCount

    - #### maxCount

          protected Integer maxCount

    - #### minSize

          protected Long minSize

    - #### maxSize

          protected Long maxSize

    - #### unit

          protected String unit

    - #### fileTypes

          protected String fileTypes

  - ### Constructor Detail

    - #### FileUpload

          public FileUpload()

  - ### Method Detail

    - #### getMinCount

          public Integer getMinCount()

      The minimum number of files.
      Returns:
        possible object is `Integer`

    - #### setMinCount

          public void setMinCount(Integer value)

      Sets the value of the minCount property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getMaxCount

          public Integer getMaxCount()

      The maximum number of files.
      Returns:
        possible object is `Integer`

    - #### setMaxCount

          public void setMaxCount(Integer value)

      Sets the value of the maxCount property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getMinSize

          public Long getMinSize()

      The minimum size of each file.
      Returns:
        possible object is `Long`

    - #### setMinSize

          public void setMinSize(Long value)

      Sets the value of the minSize property.
      Parameters:
        `value` - allowed object is `Long`

    - #### getMaxSize

          public Long getMaxSize()

      The maximum size of each file.
      Returns:
        possible object is `Long`

    - #### setMaxSize

          public void setMaxSize(Long value)

      Sets the value of the maxSize property.
      Parameters:
        `value` - allowed object is `Long`

    - #### getUnit

          public String getUnit()

      The unit to use for size restrictions.
      Returns:
        possible object is `String`

    - #### setUnit

          public void setUnit(String value)

      Sets the value of the unit property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFileTypes

          public String getFileTypes()

      A comma separated list of allowed file-extensions.
      Returns:
        possible object is `String`

    - #### setFileTypes

          public void setFileTypes(String value)

      Sets the value of the fileTypes property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.